com.genesyslab.wfm8.API.service.config810

## Class CfgBU

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgBU

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgBU
      extends java.lang.Object
      implements java.io.Serializable

  Business Unit information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected int` | `wmBUId` Business Unit ID
    `protected int` | `wmDaStatId` ID of Data Aggregator application assigned to Business Unit
    `protected java.lang.String` | `wmName` Name of Business Unit
    `protected java.util.List<java.lang.Integer>` | `wmSites` An array of Site IDs (`CfgSite`) that are under Business Unit
    `protected int` | `wmSitesNSizeIs` Number of elements in wmSites array
    `protected java.lang.String` | `wmTenantName` Tenant Name
    `protected java.lang.String` | `wmTenantPassword` Tenant Password
    `protected java.lang.String` | `wmTimeProfile` Tenant Profile
    `protected int` | `wmTimezoneId` Time Zone ID--identifies `CfgTimezone` object
    `protected java.util.List<java.lang.Integer>` | `wmVirtualActivities` An array of Multi-Site Activity IDs (`CfgVirtualActivity`) that are under the Business Unit
    `protected int` | `wmVirtualActivitiesNSizeIs` Number of elements in wmVirtualActivities array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBU()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmDaStatId()` Gets the value of the wmDaStatId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.util.List<java.lang.Integer>` | `getWmSites()` Gets the value of the wmSites property.
    `int` | `getWmSitesNSizeIs()` Gets the value of the wmSitesNSizeIs property.
    `java.lang.String` | `getWmTenantName()` Gets the value of the wmTenantName property.
    `java.lang.String` | `getWmTenantPassword()` Gets the value of the wmTenantPassword property.
    `java.lang.String` | `getWmTimeProfile()` Gets the value of the wmTimeProfile property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `java.util.List<java.lang.Integer>` | `getWmVirtualActivities()` Gets the value of the wmVirtualActivities property.
    `int` | `getWmVirtualActivitiesNSizeIs()` Gets the value of the wmVirtualActivitiesNSizeIs property.
    `int` | `hashCode()`
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDaStatId(int value)` Sets the value of the wmDaStatId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSites(java.util.List<java.lang.Integer> wmSites)` Sets the value of the wmSites property.
    `void` | `setWmSitesNSizeIs(int value)` Sets the value of the wmSitesNSizeIs property.
    `void` | `setWmTenantName(java.lang.String value)` Sets the value of the wmTenantName property.
    `void` | `setWmTenantPassword(java.lang.String value)` Sets the value of the wmTenantPassword property.
    `void` | `setWmTimeProfile(java.lang.String value)` Sets the value of the wmTimeProfile property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmVirtualActivities(java.util.List<java.lang.Integer> wmVirtualActivities)` Sets the value of the wmVirtualActivities property.
    `void` | `setWmVirtualActivitiesNSizeIs(int value)` Sets the value of the wmVirtualActivitiesNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgBU` | `withTimestamp(long value)`
    `CfgBU` | `withWmBUId(int value)`
    `CfgBU` | `withWmDaStatId(int value)`
    `CfgBU` | `withWmName(java.lang.String value)`
    `CfgBU` | `withWmSites(java.util.Collection<java.lang.Integer> values)`
    `CfgBU` | `withWmSites(java.lang.Integer... values)`
    `CfgBU` | `withWmSitesNSizeIs(int value)`
    `CfgBU` | `withWmTenantName(java.lang.String value)`
    `CfgBU` | `withWmTenantPassword(java.lang.String value)`
    `CfgBU` | `withWmTimeProfile(java.lang.String value)`
    `CfgBU` | `withWmTimezoneId(int value)`
    `CfgBU` | `withWmVirtualActivities(java.util.Collection<java.lang.Integer> values)`
    `CfgBU` | `withWmVirtualActivities(java.lang.Integer... values)`
    `CfgBU` | `withWmVirtualActivitiesNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUId

          protected int wmBUId

      Business Unit ID

    - #### wmName

          protected java.lang.String wmName

      Name of Business Unit

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time Zone ID--identifies `CfgTimezone` object

    - #### wmDaStatId

          protected int wmDaStatId

      ID of Data Aggregator application assigned to Business Unit

    - #### wmTenantName

          protected java.lang.String wmTenantName

      Tenant Name

    - #### wmTenantPassword

          protected java.lang.String wmTenantPassword

      Tenant Password

    - #### wmTimeProfile

          protected java.lang.String wmTimeProfile

      Tenant Profile

    - #### wmSitesNSizeIs

          protected int wmSitesNSizeIs

      Number of elements in wmSites array

    - #### wmSites

          protected java.util.List<java.lang.Integer> wmSites

      An array of Site IDs (`CfgSite`) that are under Business Unit

    - #### wmVirtualActivitiesNSizeIs

          protected int wmVirtualActivitiesNSizeIs

      Number of elements in wmVirtualActivities array

    - #### wmVirtualActivities

          protected java.util.List<java.lang.Integer> wmVirtualActivities

      An array of Multi-Site Activity IDs (`CfgVirtualActivity`) that are under the Business Unit

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgBU

          public CfgBU()

  - ### Method Detail

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getWmDaStatId

          public int getWmDaStatId()

      Gets the value of the wmDaStatId property.

    - #### setWmDaStatId

          public void setWmDaStatId(int value)

      Sets the value of the wmDaStatId property.

    - #### getWmTenantName

          public java.lang.String getWmTenantName()

      Gets the value of the wmTenantName property.
      Returns:
        possible object is `String`

    - #### setWmTenantName

          public void setWmTenantName(java.lang.String value)

      Sets the value of the wmTenantName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTenantPassword

          public java.lang.String getWmTenantPassword()

      Gets the value of the wmTenantPassword property.
      Returns:
        possible object is `String`

    - #### setWmTenantPassword

          public void setWmTenantPassword(java.lang.String value)

      Sets the value of the wmTenantPassword property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimeProfile

          public java.lang.String getWmTimeProfile()

      Gets the value of the wmTimeProfile property.
      Returns:
        possible object is `String`

    - #### setWmTimeProfile

          public void setWmTimeProfile(java.lang.String value)

      Sets the value of the wmTimeProfile property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmSitesNSizeIs

          public int getWmSitesNSizeIs()

      Gets the value of the wmSitesNSizeIs property.

    - #### setWmSitesNSizeIs

          public void setWmSitesNSizeIs(int value)

      Sets the value of the wmSitesNSizeIs property.

    - #### getWmSites

          public java.util.List<java.lang.Integer> getWmSites()

      Gets the value of the wmSites property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSites property.

      For example, to add a new item, do as follows:

              getWmSites().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmVirtualActivitiesNSizeIs

          public int getWmVirtualActivitiesNSizeIs()

      Gets the value of the wmVirtualActivitiesNSizeIs property.

    - #### setWmVirtualActivitiesNSizeIs

          public void setWmVirtualActivitiesNSizeIs(int value)

      Sets the value of the wmVirtualActivitiesNSizeIs property.

    - #### getWmVirtualActivities

          public java.util.List<java.lang.Integer> getWmVirtualActivities()

      Gets the value of the wmVirtualActivities property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmVirtualActivities property.

      For example, to add a new item, do as follows:

              getWmVirtualActivities().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmBUId

          public CfgBU withWmBUId(int value)

    - #### withWmName

          public CfgBU withWmName(java.lang.String value)

    - #### withWmTimezoneId

          public CfgBU withWmTimezoneId(int value)

    - #### withWmDaStatId

          public CfgBU withWmDaStatId(int value)

    - #### withWmTenantName

          public CfgBU withWmTenantName(java.lang.String value)

    - #### withWmTenantPassword

          public CfgBU withWmTenantPassword(java.lang.String value)

    - #### withWmTimeProfile

          public CfgBU withWmTimeProfile(java.lang.String value)

    - #### withWmSitesNSizeIs

          public CfgBU withWmSitesNSizeIs(int value)

    - #### withWmSites

          public CfgBU withWmSites(java.lang.Integer... values)

    - #### withWmSites

          public CfgBU withWmSites(java.util.Collection<java.lang.Integer> values)

    - #### withWmVirtualActivitiesNSizeIs

          public CfgBU withWmVirtualActivitiesNSizeIs(int value)

    - #### withWmVirtualActivities

          public CfgBU withWmVirtualActivities(java.lang.Integer... values)

    - #### withWmVirtualActivities

          public CfgBU withWmVirtualActivities(java.util.Collection<java.lang.Integer> values)

    - #### withTimestamp

          public CfgBU withTimestamp(long value)

    - #### setWmSites

          public void setWmSites(java.util.List<java.lang.Integer> wmSites)

      Sets the value of the wmSites property.
      Parameters:
        `wmSites` - allowed object is `Integer`

    - #### setWmVirtualActivities

          public void setWmVirtualActivities(java.util.List<java.lang.Integer> wmVirtualActivities)

      Sets the value of the wmVirtualActivities property.
      Parameters:
        `wmVirtualActivities` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.